Name:           perl-Authen-Krb5-Admin
Version:        0.11
Release:        2%{?dist}
Summary:        Perl extension for MIT Kerberos 5 admin interface
Group:          Development/Libraries
# admin.h - MIT
# ppport.h - GPL+ or Artisic (same as any version of Perl)
# everything else: BSD (two clause)
License:        MIT and BSD and (GPL+ or Artistic)
URL:            http://search.cpan.org/dist/Authen-Krb5-Admin/
Source0:        http://www.cpan.org/authors/id/K/KO/KORTY/Authen-Krb5-Admin-0.11.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  openssl-devel
BuildRequires:  perl(Authen::Krb5)
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Authen::Krb5::Admin is an object-oriented interface to the Kerberos 5 admin
server. Currently only MIT KDCs are supported, but the author envisions
seamless integration with other KDCs.

%prep
%setup -q -n Authen-Krb5-Admin-%{version}

sed -i -e 's!$PREFIX/lib!$PREFIX/%{_lib}!' Makefile.PL

%build
# set some dummy values for the test to stop Makefile.PL from asking
# note: the values are never used
export PERL_KADM5_PRINCIPAL=dummy
export PERL_KADM5_TEST_NAME=dummy
export PERL_KADM5_TEST_NAME_2=dummy
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
chmod -R u+w $RPM_BUILD_ROOT/*


%check
# not possible due to required kerberso environment

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README COPYING ChangeLog
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Authen
%{_mandir}/man3/*.3pm*


%changelog
* Fri Mar 13 2009 Christian Krause <chkr@fedoraproject.org> - 0.11-2
- fixed build problem on x86_64 (libk5crypto not found)
- minor cleanup
- removed unnecessary build requirement

* Sat Mar 07 2009 Christian Krause <chkr@fedoraproject.org> - 0.11-1
- Initial spec file for Authen::Krb5::Admin
